// ScriptText.idl : IDL source for IScriptText interface
//
import "oaidl.idl";
import "ocidl.idl";
[
	uuid(17275E83-E4FA-11d2-A324-444553540000),
	helpstring("ScriptText 1.0 Type Library"),
	version(1.0)
]
library ScriptTextLib
{
	importlib("stdole32.tlb");
	[
		uuid(17275E83-E4FA-11d1-A324-444553540000),
		dual,
		helpstring("IScriptText Dispatch Interface")
	]
	interface IScriptText : IDispatch
	{
		[propput, id(0), helpstring("SetText to new string")] HRESULT SetText([in] bstr newString);
	}
	[
		uuid(17275E83-E4FA-11d3-A324-444553540000),
		helpstring("IScriptText Class")
	]
	coclass ScriptText
	{
		[default] interface IScriptText;
	}
}

